Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Sock_Connect.cpp File Reference

`#include "ace/Sock_Connect.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Handle_Set.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/SString.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/OS_NS_stdlib.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/OS_NS_sys_socket.h"`
`#include "ace/OS_NS_netdb.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/os_include/net/os_if.h"`

Include dependency graph for Sock_Connect.cpp:

## Enumerations
enum | ACE_WINDOWS_VERSION { ACE_WINDOWS_IS_UNKNOWN, ACE_WINDOWS_IS_WIN95, ACE_WINDOWS_IS_WIN98, ACE_WINDOWS_IS_WINME, ACE_WINDOWS_IS_WINNT, ACE_WINDOWS_IS_WIN2K, ACE_WINDOWS_IS_WINCE }
## Functions
const char * | get_rcsid_ace_Sock_Connect (const char *)
int | get_reg_subkeys (const ACE_TCHAR *key, ACE_TCHAR *buffer, DWORD &buf_len)
int | get_reg_value (const ACE_TCHAR *key, const ACE_TCHAR *name, ACE_TCHAR *buffer, DWORD &buf_len, int all_subkeys=0)
ACE_WINDOWS_VERSION | get_windows_version ()
## Variables
const char * | rcsid_ace_Sock_Connect = get_rcsid_ace_Sock_Connect ( rcsid_ace_Sock_Connect )

## Enumeration Type Documentation

enum ACE_WINDOWS_VERSION

  | Enumeration values:
  ACE_WINDOWS_IS_UNKNOWN |
  ACE_WINDOWS_IS_WIN95 |
  ACE_WINDOWS_IS_WIN98 |
  ACE_WINDOWS_IS_WINME |
  ACE_WINDOWS_IS_WINNT |
  ACE_WINDOWS_IS_WIN2K |
  ACE_WINDOWS_IS_WINCE |

## Function Documentation

const char* get_rcsid_ace_Sock_Connect | ( | const char * |  | ) | `[inline, static]`

int get_reg_subkeys | ( | const ACE_TCHAR * | key,
|  | ACE_TCHAR * | buffer,
|  | DWORD & | buf_len
| ) | `[static]`

int get_reg_value | ( | const ACE_TCHAR * | key,
|  | const ACE_TCHAR * | name,
|  | ACE_TCHAR * | buffer,
|  | DWORD & | buf_len,
|  | int | all_subkeys = 0
| ) | `[static]`

ACE_WINDOWS_VERSION get_windows_version | ( |  | ) | `[static]`

## Variable Documentation

const char* rcsid_ace_Sock_Connect = get_rcsid_ace_Sock_Connect ( rcsid_ace_Sock_Connect )`[static]`